Bug 688316 - Review Request: rubygem-logging - A flexible and extendable logging library for Ruby
Summary: Review Request: rubygem-logging - A flexible and extendable logging library f...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 688322
TreeView+ depends on / blocked
 
Reported: 2011-03-16 19:31 UTC by Chris Lalancette
Modified: 2011-07-13 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-13 17:36:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Lalancette 2011-03-16 19:31:04 UTC
Spec URL:
http://people.redhat.com/clalance/rubygem-logging/rubygem-logging.spec
SRPM URL:
http://people.redhat.com/clalance/rubygem-logging/rubygem-logging-1.5.0-1.fc14.src.rpm
Description: Logging is a flexible logging library for use in Ruby programs based on the design of Java's log4j library. It features a hierarchical logging system,
custom level names, multiple output destinations per log event, custom
formatting, and more.

I ran rpmlint against the package:
[clalance@localhost SPECS]$ rpmlint rubygem-logging.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[clalance@localhost SPECS]$ rpmlint ../SRPMS/rubygem-logging-1.5.0-1.fc14.src.rpm 
rubygem-logging.src: W: spelling-error Summary(en_US) extendable -> expendable, extend able, extend-able
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 David Nalley 2011-03-21 05:44:07 UTC
[OK    ] MUST: rpmlint must be run on every package
[OK    ] MUST: The package must be named according to the Package Naming 
         Guidelines
[OK    ] MUST: The spec file name must match the base package %{name} [...]
[FIX   ] MUST: The package must meet the Packaging Guidelines
The Source of the package must be the full URL to the released Gem archive
See: http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems
http://fedoraproject.org/wiki/Packaging:SourceURL

[OK    ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[OK    ] MUST: The License field in the package spec file must match the 
         actual license
[OK    ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK    ] MUST: The spec file must be written in American English.
[OK    ] MUST: The spec file for the package MUST be legible.
[NOT CHECKED    ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
Can't find url for source (or at least the version of source listed) 
[OK    ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[NA    ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[OK    ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[NA    ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[NA    ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA    ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK    ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK    ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[OK    ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK    ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK    ] MUST: Each package must consistently use macros.
[OK    ] MUST: The package must contain code, or permissable content.
[NA    ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[OK    ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA    ] MUST: Header files must be in a -devel package.
[NA    ] MUST: Static libraries must be in a -static package.
[NA    ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA    ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA    ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[NA    ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA    ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK    ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK    ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK    ] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 2 Chris Lalancette 2011-03-21 12:43:25 UTC
Thanks for the review!

Based on your review, I've gone back and looked at the upstream for this package.  When I initially generated the gem, I did it out of the git repository for the package, so I got version 1.5.0 of the package.  However, looking at the correct place to download the package from (rubyforge.org), I see that only 1.4.3 has been released there so far.  So what I've done is to fix up the spec file via your recommendation, and downgrade the version of the package to 1.4.3 so that the package meets the rubygem guidelines.

The new version is here:

Spec URL:
http://people.redhat.com/clalance/rubygem-logging/rubygem-logging.spec
SRPM URL:
http://people.redhat.com/clalance/rubygem-logging/rubygem-logging-1.4.3-1.fc14.src.rpm

Out out of curiosity, how did you generate the report above?  It would be useful for me when I do package reviews.

Thanks again,
Chris Lalancette

Comment 3 David Nalley 2011-03-21 15:32:28 UTC
Hi Chris:

md5sums match:
[ke4qqq@nalleyx200 SOURCES]$ md5sum logging-1.4.3.gem*
0271c080963186cd4430dc5715018921  logging-1.4.3.gem
0271c080963186cd4430dc5715018921  logging-1.4.3.gem.1

URL is fixed, so this is APPROVED

As for the checklist, I have historically used someone elses version of the base guidelines. In this case it's jlaska's:
http://fedoraproject.org/wiki/User:Jlaska/Package_Review_Checklist

I'll try and pick up another of the reviews in the next couple of days.

Comment 4 Chris Lalancette 2011-06-30 22:21:34 UTC
New Package SCM Request
=======================
Package Name: rubygem-logging
Short Description: A flexible and extendable logging library for Ruby
Owners: clalance
Branches:
InitialCC:

Comment 5 Gwyn Ciesla 2011-07-01 12:13:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.